Package htsjdk.tribble

# Interface Feature

All Superinterfaces:
  `Locatable`

All Known Subinterfaces:
  `BEDFeature`, `Gff3Feature`, `NamedFeature`

All Known Implementing Classes:
  `FullBEDFeature`, `Gff3FeatureImpl`, `Interval`, `MutableFeature`, `SimpleBEDFeature`, `SimpleFeature`, `VariantContext`

public interface Feature extends Locatable
Marker interface for Locatables with Tribble support. A Feature represents a record in a tribble-supported file format. As `Locatable`, represents a locus on a reference sequence and is expected to return 1-based closed-ended intervals.

## Method Summary

Modifier and Type
Method
Description
`default String`
`getChr()`
Deprecated.
on 03/2015.

### Methods inherited from interface htsjdk.samtools.util.Locatable

`contains, contigsMatch, getContig, getEnd, getLengthOnReference, getStart, overlaps, withinDistanceOf`

## Method Details

### getChr

@Deprecated default String getChr()
Deprecated.
on 03/2015. Use getContig() instead.
Return the features reference sequence name, e.g chromosome or contig